- Qt 6.6
- Qt Sensors
- C++ Classes
- QAccelerometerFilter
- Qt 6.6.2 Reference Documentation

# QAccelerometerFilter Class

The QAccelerometerFilter class is a convenience wrapper around QSensorFilter. More...

Header: | #include <QAccelerometerFilter>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Sensors) target_link_libraries(mytarget PRIVATE Qt6::Sensors)
qmake: | QT += sensors
Inherits: | QSensorFilter

- List of all members, including inherited members

## Public Functions

virtual bool | filter(QAccelerometerReading *reading) = 0

## Detailed Description

The only difference is that the filter() method features a pointer to QAccelerometerReading instead of QSensorReading.

## Member Function Documentation

### `[pure virtual]` bool QAccelerometerFilter::filter(QAccelerometerReading *reading)

Called when reading changes. Returns false to prevent the reading from propagating.

See also QSensorFilter::filter().